Subject: Connection to local desktop freezes

From: Tancredi-Paul Grozav <[email-masked]>
Date: Fri, 17 Jan 2014 14:56:23 +0200

Package: x2goclient
Version: 4.0.1.2

I have a debian 7.2 (wheezy) system running gnome3. It's a system that I use everyday (being physically there).
Sometimes I go away, and I need to continue my work on the wheezy system using my laptop.
That's why I created a new session on my laptop, to connect to my wheezy system.
I selected the session type to be GNOME and as a result it starts gnome fallback,the panel does not resize
when resizing the window, but that's acceptable. The problem is I can't open another iceweasel/icedove instance,
etc (I need to continue my work). That's why I switched the session type to "Connection to local desktop".

Now it opens my screen in the window, but the display does not refresh as it should.
For example if I click an icon to open a program (or any click) i don't see any effect.
To see the effect I have to maximize and restore the window (I guess a call to xrandr is required).
Doing a maximize,restore for each click is not acceptable :-).

Anyway, it's not a gnome3 problem. I previously had Ubuntu 12.04 on my workstation, and I was using gnome classic.
I had the same problem.

X2Go Server:

      Server Core:

         x2goserver (4.0.1.12)
         x2goagent (3.5.0.22)

     Server Extensions:

         x2goserver-extensions (4.0.1.12)

X2Go Server Features:

         X2GO_LIST_DESKTOPS
         X2GO_MOUNTDIRS
         X2GO_MOUNT_UNCPATHS
         X2GO_PUBLISHED_APPLICATIONS
         X2GO_RUN_EXTENSIONS
         X2GO_SERVERSIDE_DESKTOPCOMMANDS
         X2GO_SET_KEYBOARD
         X2GO_UMOUNTSESSION_ALL
         X2GO_UMOUNTSESSION_ONLYPATH

Feel free to contact me if you have any questions.

-- 
Thank you,
Tancredi-Paul Grozav